Skip to main content
POST
/
identity-providers
/
test
Test IDP connection
curl --request POST \
  --url https://app.usechar.ai/api/identity-providers/test \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idp_type": "okta",
  "idp_domain": "<string>",
  "idp_issuer": "<string>",
  "allowed_audiences": [
    "<string>"
  ]
}
'
{
  "success": true,
  "issuer": "<string>",
  "jwks_uri": "<string>",
  "error": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.usechar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

WorkOS JWT token. Obtain via WorkOS AuthKit authentication flow. The token must include organization_id claim for organization-scoped endpoints.

Body

application/json

IDP connection test parameters

idp_type
enum<string>
required

Identity provider type: okta, azure, auth0, google, workos, firebase, onelogin, logto, or custom_oidc

Available options:
okta,
azure,
auth0,
google,
custom_oidc,
workos,
firebase,
onelogin,
logto
idp_domain
string
idp_issuer
string<uri>
allowed_audiences
string[]

Response

OK

Result of IDP connection test

success
boolean
required
issuer
string | null
required
jwks_uri
string | null
required
error
string | null
required